.video {
  width: 100%;
  aspect-ratio: 16/9;
  position: relative;
}
.video--has-bg {
  background: rgba( var(--c-primary, 33, 11, 54), 1 );
}
.video__content, .video__thunbnail, .video__thunbnail img {
  height: 100%;
  width: 100%;
}
.video__thunbnail img {
  -o-object-fit: cover;
     object-fit: cover;
}
.video__video {
  height: 100%;
  position: relative;
  width: 100%;
  z-index: 1;
}
.video__video--modal {
  aspect-ratio: 16/9;
  background: none;
  border: none;
  height: auto;
  overflow: hidden;
  padding: 0;
  position: fixed;
  width: auto;
  z-index: initial;
}
.video__video--modal::backdrop {
  background: rgba( var(--c-full-black, 0, 0, 0), 0.3 );
}
.video__close, .video__play {
  transition: all 0.15s ease-in-out;
  border-radius: 50%;
  cursor: pointer;
  display: block;
  padding: 0;
  position: absolute;
}
.video__close {
  background: rgba( var(--c-primary-bright, 33, 11, 54), 1 ) url(../../../icons/close.svg) no-repeat center;
  border: none;
  box-shadow: 0 0 8px rgba( var(--c-full-black, 0, 0, 0), 0.25 );
  height: 48px;
  left: 26px;
  top: 26px;
  width: 48px;
}
.video__play {
  transition: all 0.15s ease-in-out;
  background: none;
  border: none;
  color: rgba( var(--c-full-white, 255, 255, 255), 1 );
  height: 70px;
  inset: 0;
  margin: auto;
  width: 70px;
}
.video__play:focus-visible, .video__play:hover {
  color: rgba( var(--c-primary-bright, 33, 11, 54), 1 );
}
.video__play::before {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-8px, -50%);
  width: 0;
  height: 0;
  border-top: 14px solid transparent;
  border-bottom: 14px solid transparent;
  border-left: 24px solid currentColor;
}
.video__play::after {
  border: 6px solid currentColor;
  border-radius: 50%;
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  height: 68px;
  width: 68px;
}
.video__play--full {
  border-radius: 0;
  height: auto;
  margin: 0;
  outline-offset: -2px;
  width: auto;
}
.video .media-oembed-content,
.video iframe,
.video video {
  height: 100%;
  width: 100%;
}
